Subject: 24.3.50; "s" no longer works as documented in dired

From: Markus Triska <[email-masked]>
Date: Fri, 24 Jan 2014 01:33:46 +0100

When I do:

   $ emacs -Q

and then view my home directory in dired with:

   C-x C-f RET

and then list all files in decreasing order of their file sizes with:

   C-u s S RET

(making the switches read: "-alS")

and then press "s", dired says "Dired by date" but still orders by size.

This works as expected in Emacs 22.1.1, where "s" then sorts by date.

In GNU Emacs 24.3.50.2 (x86_64-apple-darwin10.8.0, X toolkit, Xaw3d scroll bars)
 of 2014-01-04 on mt-imac.local
Windowing system distributor `The X.Org Foundation', version 11.0.11404000
Configured using:
 `configure CFLAGS=-I/opt/local/include LDFLAGS=-L/opt/local/lib'